package com.ruoyi.powerdistribution.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 风险规则对象 pdm_risk_role
 *
 * @author ruoyi
 * @date 2024-12-04
 */
public class PdmRiskRole extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 风险编码 */
    @Excel(name = "风险编码")
    private String roleCode;

    /** 风险名称 */
    @Excel(name = "风险名称")
    private String roleName;

    /** 风险匹配规则明细 */
    @Excel(name = "风险匹配规则明细")
    private String roleDes;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRoleCode(String roleCode)
    {
        this.roleCode = roleCode;
    }

    public String getRoleCode()
    {
        return roleCode;
    }
    public void setRoleName(String roleName)
    {
        this.roleName = roleName;
    }

    public String getRoleName()
    {
        return roleName;
    }
    public void setRoleDes(String roleDes)
    {
        this.roleDes = roleDes;
    }

    public String getRoleDes()
    {
        return roleDes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("roleCode", getRoleCode())
            .append("roleName", getRoleName())
            .append("roleDes", getRoleDes())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
